/* +++ Before this custom reader functionality is released to the world, you must think
 * +++ carefully about any changes that you might want to make in the future and
 * +++ plan a scheme for implementing them without breaking the current batch
 * +++ of custom readers.  It would be very bad if any changes made it necessary to
 * +++ rewrite everything that had been written before.
 */


/* This include file is needed for the compiler to recognize the RGBColor
 * data type below.
 */
/*#ifndef _Color_
#include <Color.h>
#endif*/


/* Messages.
 */
enum {
	FILE_FILTER,
	FILE_READ
};


/* File read input data structure.
 */
typedef struct xreadindata {
	char		*filename;		/* Filename (Pascal format). */
	int			vRefNum;		/* Volume reference number. */
	int			refNum;			/* File reference number. */
	Boolean		repeat;			/* True if we are reading several files which
								 * have similar characteristics.  Use the same
								 * particulars as were used for the last image.
								 * This allows us to load 10 images which are all
								 * the same size or which have other information
								 * in common that would otherwise be asked for
								 * separately for each image.  This value will be
								 * FALSE for the first image in a sequence and TRUE
								 * thereafter.
								 */
} XREAInData;


/* File read output data structure.
 */
typedef struct xreadoutdata {
	Handle		imgData;		/* Handle to image data. */
	int			xdim;			/* Horizontal dimension of image data. */
	int			ydim;			/* Vertical dimension of image data. */
	RGBColor	*colors;		/* Pointer to an array of colors.  If this pointer
								 * is NIL, then a standard grayscale is used. */
} XREAOutData;
